<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Composite </title>
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
    <style>
        .tree > ul, .tree > ul ul, .tree > ul li {
            list-style: none;
            margin: 0;
            padding: 0;
            position: relative;
        }

        .tree > ul {
            margin: 0 auto;
            text-align: center;
        }

        .tree > ul, .tree > ul ul {
            display: table;
        }

        .tree > ul ul {
            width: 100%;
        }

        .tree > ul li {
            display: table-cell;
            padding: .5em 0;
            vertical-align: top;
        }

        .tree > ul li:before {
            outline: solid 1px #666;
            content: "";
            left: 0;
            position: absolute;
            right: 0;
            top: 0;
        }

        .tree > ul li:first-child:before {
            left: 50%;
        }

        .tree > ul li:last-child:before {
            right: 50%;
        }

        .tree > ul code, .tree > ul span {
            border: solid .1em #666;
            border-radius: .2em;
            display: inline-block;
            margin: 0 .2em .5em;
            padding: .2em .5em;
            position: relative;
        }

        .tree > ul code {
            font-family: monaco, Consolas, 'Lucida Console', monospace;
        }

        .tree > ul ul:before,
        .tree > ul code:before,
        .tree > ul span:before {
            outline: solid 1px #666;
            content: "";
            height: .5em;
            left: 50%;
            position: absolute;
        }

        .tree > ul ul:before {
            top: -.5em;
        }

        .tree > ul code:before,
        .tree > ul span:before {
            top: -.55em;
        }

        .tree > ul > li {
            margin-top: 0;
        }

        .tree > ul > li:before,
        .tree > ul > li:after,
        .tree > ul > li > code:before,
        .tree > ul > li > span:before {
            outline: none;
        }

        .tree > ul strong, .tree ul em {
            display: block;
        }
    </style>
</head>
<body>
<h3 class="h3 d-flex justify-content-center">Member List</h3>

<div class="tree" th:insert="composite/list.html :: list(${membertree})"></div>

<div class="container">
    <div class="row">
        <div class="col">
            <h4 class="h3 d-flex justify-content-center">Add new member</h4>

            <form th:action="@{/guild/add}" method="POST">
                <div class="form-group">
                    <input type="text" class="form-control" name="childname" placeholder="Name">
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" name="childrole" placeholder="Role">
                </div>
                <div class="form-group">
                    <select class="form-control" name="childtype">
                        <option selected disabled value="">Select Member Type</option>
                        <option value="premium">Premium</option>
                        <option value="ordinary">Ordinary</option>
                    </select>
                </div>
                <div class="form-group">
                    <select class="form-control" name="parent">
                        <option selected disabled value="">Select Referral</option>
                        <option th:each="member : ${memberlist}"
                                th:value="${member.getName()} + ' ' + ${member.getRole()}"
                                th:text="${member.getName()} + ' - ' + ${member.getRole()}"></option>
                    </select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
        <div class="col">
            <h4 class="h3 d-flex justify-content-center">Remove member</h4>

            <form th:action="@{/guild/remove}" method="POST">
                <div class="form-group">
                    <select class="form-control" name="child">
                        <option selected disabled value="">Select Member</option>
                        <option th:each="member : ${memberlist}"
                                th:value="${member.getName()} + ' ' + ${member.getRole()}"
                                th:text="${member.getName()} + ' - ' + ${member.getRole()}"></option>
                    </select>
                </div>
                <div class="form-group">
                    <select class="form-control" name="parent">
                        <option selected disabled value="">Select Member's Referral</option>
                        <option th:each="member : ${memberlist}"
                                th:value="${member.getName()} + ' ' + ${member.getRole()}"
                                th:text="${member.getName()} + ' - ' + ${member.getRole()}"></option>
                    </select>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script src="/webjars/jquery/3.4.1/jquery.min.js"></script>
<script src="/webjars/popper.js/1.16.0/popper.min.js"></script>
<script src="/webjars/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</body>
</html>